Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1201898 - Building argp-standalone with gcc-5 (i.e. on Fedora 22 and 23/rawhide)
Summary: Building argp-standalone with gcc-5 (i.e. on Fedora 22 and 23/rawhide)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: 3.4.6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On: 1183538 1191006
Blocks: glusterfs-3.4.7
TreeView+ depends on / blocked
 
Reported: 2015-03-13 18:08 UTC by Kaleb KEITHLEY
Modified: 2015-04-13 06:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1191006
Environment:
Last Closed: 2015-04-13 06:59:46 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2015-03-13 18:08:46 UTC
+++ This bug was initially created as a clone of Bug #1191006 +++

Description of problem:
argp-standalone gets compiled while building GlusterFS, even if it stays unused after. Currently Fedora Rawhide errors out while building argp-standalone (see attached build.log).

Version-Release number of selected component (if applicable):
* 3.5 nightly
* Fedora Rawhide (x86_64, i386)

How reproducible:
100%

Steps to Reproduce:
1. Build against Fedora Rawhide (advised to use 'mock')

Actual results:
Build fails, no RPMs get created.

Expected results:
Build should succeed and RPMs should be ready to use.

Additional info:
Build details: https://copr.fedoraproject.org/coprs/devos/glusterfs-3.5/build/71194/

--- Additional comment from Anand Avati on 2015-02-26 08:18:32 EST ---

REVIEW: http://review.gluster.org/9761 (configure: argp-standalone is always built, even when not needed) posted (#1) for review on release-3.5 by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-02-26 16:17:16 EST ---

COMMIT: http://review.gluster.org/9761 committed in release-3.5 by Niels de Vos (ndevos@redhat.com) 
------
commit 526448e784317e3c9ec72e1641f82b28959b696d
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Feb 26 14:15:07 2015 +0100

    configure: argp-standalone is always built, even when not needed
    
    This patch still configures argp, i.e. creates Makefile in
    /contrib/argp-standalone, for the `make dist`, but there's no reason
    to compile it when it's not going to be linked into anything.
    
    Backport of commit 09d2dcac3a238cfe6bde1a7aed06facfa16caf20:
    > Change-Id: Id0fcb717b5821d8a4c176e6274339f46b3a4a249
    > BUG: 1086773
    > Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    > Reviewed-on: http://review.gluster.org/7440
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    > Reviewed-by: Niels de Vos <ndevos@redhat.com>
    > Reviewed-by: Anand Avati <avati@redhat.com>
    
    Change-Id: Id0fcb717b5821d8a4c176e6274339f46b3a4a249
    BUG: 1191006
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9761
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 1 Anand Avati 2015-03-13 18:33:13 UTC
REVIEW: http://review.gluster.org/9880 (build: argp-standalone, conditional build and build with gcc-5) posted (#1) for review on release-3.4 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 2 Anand Avati 2015-03-13 19:56:17 UTC
COMMIT: http://review.gluster.org/9880 committed in release-3.4 by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit a0aa6fb91ac0cdd52769fa8c3cdbf63e48ff63db
Author: Kaleb S. KEITHLEY <kkeithle@f22node1.kkeithle.usersys.redhat.com>
Date:   Fri Mar 13 14:22:14 2015 -0400

    build: argp-standalone, conditional build and build with gcc-5
    
    This patch is a backport of two patches on the master branch:
     1) BZ 1086773, http://review.gluster.org/7440
        commit 09d2dcac3a238cfe6bde1a7aed06facfa16caf20
        Change-Id: Id0fcb717b5821d8a4c176e6274339f46b3a4a249
    
     2) BZ 764655, http://review.gluster.org/6034
        commit b2dfa011a3fdcb7d22764d143517d0fbd1c2a201
        Change-Id: If5dfdc9c7427bd3d39d8da8f79e33ae2da6a3137
    
    In summary: conditionally build argp-standalone, and address
    compile issues when compiling with gcc-5
    
    Change-Id: Id0f36f0ca4a3775556c9ca524035cd27b4ded55d
    BUG: 1201898
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@f22node1.kkeithle.usersys.redhat.com>


Note You need to log in before you can comment on or make changes to this bug.